### Hierarchy

- DraggingInfo

This is used in dragging methods to remember initial locations, for relative positioning and for cancellation. You do not typically need to create these unless you are overriding tools.

CommandHandler.computeEffectiveCollection returns a Map of Parts and DraggingInfo, which is used as an argument for methods like Diagram.computeMove.

Diagram.moveParts constructs a Map of Parts and DraggingInfo to record each Part's location offset during moves.

since

  2.0

## Index

### Constructors

- constructor

### Properties

- point

## Constructors

### constructor

- new DraggingInfo(pt?: Point): DraggingInfo

- Optionally takes a Point that sets point.

  #### Parameters

  - ##### Optional pt: Point

  #### Returns DraggingInfo

## Properties

### point : Point

- Gets or sets the initial location for a dragged object. This is most commonly the Part.location of the dragged object, or a rounded Part.location if snapping.

Copyright © 1998-2019 by Northwoods Software Corporation.